complexType "TransferRounding"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 2 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | direction?, amount?
</...>

Content Model Elements (2):

  amount (in transferRounding), | direction (in transferRounding)

All Direct / Indirect Based Elements (1):

  transferRounding

Known Usage Locations

- As direct type of elements (1):
  transferRounding

XML Source (see within schema source)

<xsd:complexType name="TransferRounding"> <xsd:sequence> <xsd:element minOccurs="0" name="direction" type="RoundingDirectionEnum"/> <xsd:element minOccurs="0" name="amount" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
amount

  Type: | NonNegativeDecimal, simple content

  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="amount" type="NonNegativeDecimal"/>

direction

  Type: | RoundingDirectionEnum, simple content

  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Up" | - | A fractional number will be rounded up to the specified number of decimal places (the precision). For example, 5.21 and 5.25 rounded up to 1 decimal place are 5.3 and 5.3 respectively. See: http://www.FpML.org
  "Down" | - | A fractional number will be rounded down to the specified number of decimal places (the precision). For example, 5.29 and 5.25 rounded down to 1 decimal place are 5.2 and 5.2 respectively. See: http://www.FpML.org
  "Nearest" | - | A fractional number will be rounded either up or down to the specified number of decimal places (the precision) depending on its value. For example, 5.24 would be rounded down to 5.2 and 5.25 would be rounded up to 5.3 if a precision of 1 decimal place were specified. See: http://www.FpML.org

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="direction" type="RoundingDirectionEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.